WideMessageBuffer Class Reference

This class is designed to support insertion operations in the message argument to the LOG4CXX_INFO and similar macros and is not designed for general purpose use. More...

## Public Member Functions

| WideMessageBuffer ()
| Creates a new instance. More...
| ~WideMessageBuffer ()
| Destructor. More...
WideMessageBuffer & | operator<< (const std::basic_string< wchar_t > &msg)
| Appends string to buffer. More...
WideMessageBuffer & | operator<< (const wchar_t *msg)
| Appends string to buffer. More...
WideMessageBuffer & | operator<< (wchar_t *msg)
| Appends string to buffer. More...
WideMessageBuffer & | operator<< (const wchar_t msg)
| Appends character to buffer. More...
std::basic_ostream< wchar_t > & | operator<< (ios_base_manip manip)
| Insertion operator for STL manipulators such as std::fixed. More...
std::basic_ostream< wchar_t > & | operator<< (bool val)
| Insertion operator for built-in type. More...
std::basic_ostream< wchar_t > & | operator<< (short val)
| Insertion operator for built-in type. More...
std::basic_ostream< wchar_t > & | operator<< (int val)
| Insertion operator for built-in type. More...
std::basic_ostream< wchar_t > & | operator<< (unsigned int val)
| Insertion operator for built-in type. More...
std::basic_ostream< wchar_t > & | operator<< (long val)
| Insertion operator for built-in type. More...
std::basic_ostream< wchar_t > & | operator<< (unsigned long val)
| Insertion operator for built-in type. More...
std::basic_ostream< wchar_t > & | operator<< (float val)
| Insertion operator for built-in type. More...
std::basic_ostream< wchar_t > & | operator<< (double val)
| Insertion operator for built-in type. More...
std::basic_ostream< wchar_t > & | operator<< (long double val)
| Insertion operator for built-in type. More...
std::basic_ostream< wchar_t > & | operator<< (void *val)
| Insertion operator for built-in type. More...
| operator std::basic_ostream< wchar_t > & ()
| Cast to ostream. More...
const std::basic_string < wchar_t > & | str (std::basic_ostream< wchar_t > &os)
| Get content of buffer. More...
const std::basic_string < wchar_t > & | str (WideMessageBuffer &buf)
| Get content of buffer. More...
bool | hasStream () const
| Returns true if buffer has an encapsulated STL stream. More...

## Detailed Description

This class is designed to support insertion operations in the message argument to the LOG4CXX_INFO and similar macros and is not designed for general purpose use.

## Constructor & Destructor Documentation

WideMessageBuffer | ( |  | ) |

Creates a new instance.

~WideMessageBuffer | ( |  | ) |

Destructor.

## Member Function Documentation

bool hasStream | ( |  | ) | const

Returns true if buffer has an encapsulated STL stream.

Returns
  true if STL stream was created.

operator std::basic_ostream< wchar_t > & | ( |  | ) |

Cast to ostream.

WideMessageBuffer& operator<< | ( | const std::basic_string< wchar_t > & | msg | ) |

Appends string to buffer.

Parameters

  msg | string append.

Returns
  this buffer.

WideMessageBuffer& operator<< | ( | const wchar_t * | msg | ) |

Appends string to buffer.

Parameters

  msg | string to append.

Returns
  this buffer.

WideMessageBuffer& operator<< | ( | wchar_t * | msg | ) |

Appends string to buffer.

Parameters

  msg | string to append.

Returns
  this buffer.

WideMessageBuffer& operator<< | ( | const wchar_t | msg | ) |

Appends character to buffer.

Parameters

  msg | character to append.

Returns
  this buffer.

std::basic_ostream<wchar_t>& operator<< | ( | ios_base_manip | manip | ) |

Insertion operator for STL manipulators such as std::fixed.

Parameters

  manip | manipulator.

Returns
  encapsulated STL stream.

std::basic_ostream<wchar_t>& operator<< | ( | bool | val | ) |

Insertion operator for built-in type.

Parameters

  val | build in type.

Returns
  encapsulated STL stream.

std::basic_ostream<wchar_t>& operator<< | ( | short | val | ) |

Insertion operator for built-in type.

Parameters

  val | build in type.

Returns
  encapsulated STL stream.

std::basic_ostream<wchar_t>& operator<< | ( | int | val | ) |

Insertion operator for built-in type.

Parameters

  val | build in type.

Returns
  encapsulated STL stream.

std::basic_ostream<wchar_t>& operator<< | ( | unsigned int | val | ) |

Insertion operator for built-in type.

Parameters

  val | build in type.

Returns
  encapsulated STL stream.

std::basic_ostream<wchar_t>& operator<< | ( | long | val | ) |

Insertion operator for built-in type.

Parameters

  val | build in type.

Returns
  encapsulated STL stream.

std::basic_ostream<wchar_t>& operator<< | ( | unsigned long | val | ) |

Insertion operator for built-in type.

Parameters

  val | build in type.

Returns
  encapsulated STL stream.

std::basic_ostream<wchar_t>& operator<< | ( | float | val | ) |

Insertion operator for built-in type.

Parameters

  val | build in type.

Returns
  encapsulated STL stream.

std::basic_ostream<wchar_t>& operator<< | ( | double | val | ) |

Insertion operator for built-in type.

Parameters

  val | build in type.

Returns
  encapsulated STL stream.

std::basic_ostream<wchar_t>& operator<< | ( | long double | val | ) |

Insertion operator for built-in type.

Parameters

  val | build in type.

Returns
  encapsulated STL stream.

std::basic_ostream<wchar_t>& operator<< | ( | void * | val | ) |

Insertion operator for built-in type.

Parameters

  val | build in type.

Returns
  encapsulated STL stream.

const std::basic_string<wchar_t>& str | ( | std::basic_ostream< wchar_t > & | os | ) |

Get content of buffer.

Parameters

  os | used only to signal that the embedded stream was used.

const std::basic_string<wchar_t>& str | ( | WideMessageBuffer & | buf | ) |

Get content of buffer.

Parameters

  buf | used only to signal that the embedded stream was not used.

The documentation for this class was generated from the following file:

- messagebuffer.h